{ ... }: {
  programs.nixcord = {
    enable = true;
    discord = {
      enable = true;
      vencord.enable = true;
      openASAR.enable = true;
    };
    vesktop.enable = true;
    
    config = {
      autoUpdate = true;
      plugins = {
        alwaysAnimate.enable = true;
        alwaysTrust.enable = true;
        copyFileContents.enable = true;
        clearURLs.enable = true;
        dearrow.enable = true;
        friendsSince.enable = true;
        fullSearchContext.enable = true;
        gameActivityToggle.enable = true;
        noF1.enable = true;
        relationshipNotifier = {
          enable = true;
          friendRequestCancels = true;
          friends = true;
          groups = true;
          notices = true;
          offlineRemovals = true;
          servers = true;
        };
        serverInfo.enable = true;
      };
    };
  };
}
